import React from 'react';

function EditForm({ form, onChange, onSubmit }) {
  return (
    <form onSubmit={onSubmit} className="bg-white p-8 rounded shadow-md w-full max-w-md mx-auto">
      <h2 className="text-2xl font-bold mb-6 text-center text-[#3B82F6]">회원정보 수정</h2>

      <div className="mb-4">
        <label className="block text-sm font-medium text-gray-700 mb-1">이름</label>
        <input
          name="name"
          value={form.name}
          onChange={onChange}
          className="w-full px-4 py-2 border border-gray-300 rounded"
          placeholder="이름을 입력하세요"
        />
      </div>

      <div className="mb-4">
        <label className="block text-sm font-medium text-gray-700 mb-1">이메일</label>
        <input
          name="email"
          type="email"
          value={form.email}
          onChange={onChange}
          className="w-full px-4 py-2 border border-gray-300 rounded"
          placeholder="이메일을 입력하세요"
        />
      </div>

      <div className="mb-6">
        <label className="block text-sm font-medium text-gray-700 mb-1">설명</label>
        <textarea
          name="desc"
          value={form.desc}
          onChange={onChange}
          rows="4"
          className="w-full px-4 py-2 border border-gray-300 rounded"
          placeholder="자기소개 또는 간단한 설명을 입력하세요"
        />
      </div>

      <button
        type="submit"
        className="w-full bg-[#3B82F6] text-white py-2 rounded hover:bg-blue-700 transition"
      >
        수정
      </button>
    </form>
  );
}

export default EditForm;
